package be.iminds.ilabt.jfed.groovy_dsl.impl.events;

import be.iminds.ilabt.jfed.groovy_dsl.DSLStreamException;
import be.iminds.ilabt.jfed.groovy_dsl.events.ClosureEndElement;

import java.io.IOException;
import java.io.Writer;

/**
 * User: twalcari
 * Date: 5/18/2015
 * Time: 09:27
 */
public class ClosureEndElementImpl extends DSLEventImpl implements ClosureEndElement {
    @Override
    public void write(Writer writer) throws DSLStreamException {
        try {
            writer.write("}\n");
        } catch (IOException e) {
            throw new DSLStreamException(e);
        }
    }
}
